html {
	--c-txt: #DDD;
	--c-minor-txt: #999;
	--c-link: #9995D3;
	--c-check: #137CBD;

	--c-main-bg: #1F1D2B;
	--c-content-bg: #252936;

	--c-toppanel: #353340;
	--c-toppanel-txt: #FFF;
	--c-panel: transparent;
	--c-panel-txt: #808191;
	--c-selected-item: var(--c-toppanel);
	--c-filter-hover: #134E4A;
	--c-help-bg: #4D627E;
	--c-popup-bg: var(--c-toppanel);

	--c-delimiter: #3B3D4C;

	--c-success: #1EB972;
	--c-success-bg: #4DD596;
	--c-warning: #EA5F5F;
	--c-warning-hvr: #EA5F5F;
	--c-warning-act: #EA5F5F;
	--c-warning-bg: #F79696;
	--c-notice: #31ABBD;

	--c-btn-bg:  darkslateblue;
	--c-btn-hvr: #525298;
	--c-btn-act: #5F5BA0;

	--c-future: rgba(50,0,50,.1);
	--c-mark: #E6453E;
	--c-start-arrow: darkviolet;
	--b-mark: var(--c-content-bg);

	--ico-addc:     url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20' fill='none' stroke='white' stroke-linecap='round'%3E%3Cpath stroke-width='5%25' d='M10 6v8m-4-4h8'/%3E%3Ccircle stroke-width='1.4' cx='10' cy='10' r='9.2'/%3E%3C/svg%3E");
	--ico-opnsel:   url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 32 32' fill='none' stroke='%23999' stroke-width='5%25'%3E%3Cpath d='M10 14l6 6 6-6'/%3E%3C/svg%3E");
	--ico-menu:     url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30' fill='%23999'%3E%3Ccircle cx='15' cy='7' r='2' /%3E%3Ccircle cx='15' cy='15' r='2' /%3E%3Ccircle cx='15' cy='23' r='2' /%3E%3C/svg%3E");
	--ico-ok:       url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 140 180' fill='white'%3E%3Cpath d='M65 140 Q90 55 140 0 Q90 25 55 95 Q30 80 0 85 Q40 105 65 140Z'/%3E%3C/svg%3E");

	scrollbar-color: #353340 #1F1D2B;
}
::selection {
    background: darkblue;
}
#popup:hover,
.hoverscrolled:hover {
	scrollbar-color: #353340 transparent;
}
#popup:hover::-webkit-scrollbar-thumb,
.hoverscrolled:hover::-webkit-scrollbar-thumb {
	background: #353340;
}
#bubble.hint, #bubble_arrow.hint {
	background-color: var(--c-check);
}

img {
	filter: brightness(90%);
}
.smallava,
.circle img {
	background: transparent !important;
	padding: 5%;
	border: 1px solid #FFF;
	transition: transform .1s;
}
.smallava {
	padding: 5px;
}
#persons .smallava,
#miniprofile .smallava,
.participant .smallava {
	border-width: 2px;
}
.circle img.extended {
	transform: scale(1.1);
}
.circle.invited::after {
	border-width: 0;
}
.author img {
	border-color: #EB00FF;
}
.teacher img {
	border-color: #00A1FF;
}
.admin img {
	border-color: #FFBB00;
}
.pupil {
	border-width: 1px;
	padding: 4px;
}
.tap:hover {
	background-color: darkcyan;
}
#body .arrowava {
	background: transparent !important;
	border: 1px solid #40C4FF;
}
#body .received .arrowava {
	border-color: #C23CE7;
}
.archlist.join::before {
	width: 1px;
	height: 18px;
	left: 26px;
	bottom: 46px;
}
.received.archlist.join::before {
	background: #C23CE7;
}
#add div, #more div {
	background-color: transparent !important;
	border: 3px dashed #FFF;
	opacity: .5;
	transition: opacity .3s;
	transform: translateY(-3px) scale(.8);
}
#add div:hover, #more div:hover {
	opacity: .9;
}
@media (max-width: 680px) {
	.hw_submission #hovering .widget h3 {
		text-align: center;
		top: -2.6em;
	}
	.hw_submission #hovering #tsklist .act {
		background: var(--c-content-bg);
	}
}
.stat span {
	background-color: var(--c-content-bg);
}
.backtocabinet {
	margin-top: .5em;
}
#chat[bead]:not(.unfolded)::after {
	border: 2px solid var(--c-main-bg);
	top: -3px;
	right: -3px;
}
.conspectus_is_open #chat[bead]:not(.unfolded)::after {
	border-color: var(--c-toppanel);
}


.success,
.error,
.notice {
	border: 1px solid;
	background-color: var(--c-content-bg);
	color: var(--c-success);
	border-radius: 5px;
	padding: 1em 2em;
}
.content .success,
.content .error,
.content .notice {
	margin: 1rem var(--padding);
}
.error {
	border-color: var(--c-warning);
	color: var(--c-warning);
}
.notice {
	border-color: var(--c-notice);
	color: var(--c-notice);
}
.success a, .error a, .notice a, .explanation a {
	color: var(--c-link);
}


input,
select,
textarea,
#search,
#interactive_search,
.pseudoinput {
	background-color: var(--c-delimiter);
	border: 0;
	letter-spacing: .2px;
	color: var(--c-toppanel-txt);
}
#regform .field {
	border: 1px solid var(--c-delimiter);
}
#search {
	background-color: rgba(255,255,255,.2);
	border-radius: 6px;
	font-size: 14px;
}
select option[selected] {
	background-color: var(--c-check);
}

.button {
	border-radius: 4px;
}
.button.big {
	border-radius: 6px;
}
.button.disabled,
.button[disabled] {
	background-color: #504E60;
	color: #AAA !important;
}

.indicator, .logo {
	transition: opacity .2s;
	opacity: .9;
}
.indicator:hover {
	background-color: transparent;
	opacity: 1;
}

.placeholder {
	background-color: rgba(0,0,0,.3);
	line-height: 3em;
	border-radius: 8px !important;
	margin: 2px !important;
}

body>.guard {
	padding-top: var(--toppanel-h);
}
#wrapper {
	padding-top: 1em;
}
.full_width_content {
	margin-top: 1em;
}
.content:first-of-type {
	padding-top: 0;
}
.content,
.widget:not(:empty) {
	border-radius: 1rem;
	border: 0 solid #000;
}
.widget h3 {
	font-weight: 600;
	padding: .6em 0 0;
}
#tsklist:empty, .empty {
	background: none;
}
#news_list>a,
#news_list article {
	padding: 1em 0 !important;
	margin: 0 var(--padding);
}

article blockquote {
	background-color: var(--c-toppanel);
}

.day {
	border-right-color: var(--c-main-bg);
}
#d1 {
	border-left: 2px solid var(--c-main-bg);
}
#hat .day {
	border-bottom-color: var(--c-main-bg);
}
#hat .today {
	color: var(--c-txt);
	background: var(--c-selected-item);
}
#week {
	flex-wrap: nowrap;
	background-image: linear-gradient(var(--c-content-bg) 58px, var(--c-main-bg) 58px);
}
.lesson       {background-color: #33691E}
.forme        {background-color: #006064}
.displaced    {background-color: #B35C10}
.canceled     {background-color: #D32F2F}
.transferred  {background-color: #4E342E}
#body .Itutor {background-color: #0277BD}
.one-time     {background-image: repeating-linear-gradient(135deg, #FFF1 0px, #FFF1 10px, transparent 10px, transparent 20px)}
.past_lesson, .past .lesson {color: var(--c-content-bg)}

.lesson_soon.starter {
	background-size: 1.5em;
	background-position-y: center;
	background-position-x: 1em;
	padding-left: 3.5em;
}

#conspectus_panel textarea {
	background: var(--c-toppanel);
	color: var(--c-toppanel-txt);
}

#bubble, #bubble_arrow {
	background-color: #2D303E;
}

#word_filter {
	border: 1px solid var(--c-delimiter);
}
#selector {
	border-top: 1px solid var(--c-delimiter);
}
#underpop {
	background-color: rgba(31,29,43,.9);
}
#popup {
	background-color: var(--c-toppanel);
	color: var(--c-txt);
	border-radius: 1em;
	box-shadow: none;
}
#popup .success,
#popup .error,
#popup .notice {
	margin: var(--popupgap) 0 0;
}
#selected_student_ava {
	border: 3px solid var(--c-popup-bg);
}
#sliding_window #del_student {
	color: var(--c-popup-bg);
}

/* sidebar */
#right-sidebar {
	padding-top: 0;
}
#right-sidebar .widget:first-child {
	margin-top: 0;
}
#right-sidebar .widget {
	border-radius: 0;
	background: transparent;
}
#right-sidebar .widget h3 {
	font-weight: 400;
	padding: 1em 0 .5em;
	color: #EEE;
	text-align: left;
}
#right-sidebar .boxed {
	margin-left: 0;
	margin-right: 0;
	width: 100%;
}
#right-sidebar .widget:not(#sliding_window) #selector,
#right-sidebar .widget:not(#sliding_window) #interactive_search {
	width: 100%;
	margin-left: 0;
	margin-right: 0;
}
#right-sidebar .widget:not(#sliding_window) #interactive_search {
	margin-top: 0;
	padding: .4rem 1rem;
}
#right-sidebar .widget:not(#sliding_window) #selector {
	top: 15px;
}
#right-sidebar #addtsk:hover {
	background-color: transparent;
	color: var(--c-success);
}

#tsklist a,
#wordlist a,
.filter {
	border: 0;
	box-sizing: border-box;
	border-radius: 8px !important;
	height: auto;
	padding-top: 2px;
	padding-bottom: 2px;
	transition: background-color .2s;
	overflow: hidden;
	background-color: var(--c-main-bg);
}
#tsklist a.act::after,
#wordlist a.act::after,
.filter.act::after,
#tsklist a.act::before,
#wordlist a.act::before,
.filter.act::before,
#sliding_window::before {
	display: none;
}
#tsklist a.act,
#wordlist a.act,
.filter.act {
	color: #B87ED2;
	background-color: var(--c-content-bg);
}
#tsklist a.act .desck {color: #BBB}
#tsklist a .progressbar {
	transform: translateY(2px);
	background-color: var(--c-toppanel);
}
#wordlist .desck {
	top: -3px;
}
#vocabulary #add_new_word {
	color: #CCC;
	border: 2px dashed currentColor;
	padding: 2px;
}
#vocabulary #add_new_word #na {
	stroke-width: 0;
}
#vocabulary #add_new_word:hover {
	color: var(--c-check);
	background-color: rgba(19,124,189,.2);
	background-clip: content-box;
	box-shadow: inset 0 0 4px 2px var(--c-main-bg);
}
.filter_groupe._its_close {
	position: relative;
}
.filter_groupe._its_close::before {
	background: none;
	line-height: 36px;
	text-align: left;
	border-top: 0;
}
.filter_groupe._its_close::after {
	content: "";
	display: block;
	border-right: 2px solid;
	border-bottom: 2px solid;
	border-color: var(--c-minor-txt);
	width: 6px;
	height: 6px;
	position: absolute;
	top: 11px;
	left: 11px;
	transform: rotate(45deg);
}
@media (max-width: 680px) {
	#persons {
		background-color: transparent;
		padding: 2rem 0 0;
	}
}
#tariff_page small {
	background: #FF8C00;
	color: #111;
	border-radius: 20px;
  }
#disposable-box {
	background: #416C9F;
  }
#premium-box {
	background: #522975;
  }
.pay_history .summ {
	color: var(--c-txt);
}
.payico {
	background-color: #7563DF;
}
.selected_rate {
	color: var(--c-txt);
}
#toolbar {
	border: 1px solid var(--c-btn-bg);
	margin: 0;
}
.toolbar {
	background: var(--c-btn-bg);
	color: var(--c-toppanel-txt);
}
.toolbar .tool:hover {
	background-color: var(--c-btn-hvr);
	color: var(--c-txt);
}
#toolbar .tool.pressed {
	color: #C9C9FF;
	background-color: var(--c-btn-act);
}

.text.unit, .task.unit {
	background-color: var(--c-content-bg);
}
.rule {
	color: #DB8400;
	border: 2px solid currentColor;
	background: var(--c-content-bg);
}
.rule * {
	color: #DB8400 !important;
}
.hide {
	border-color: #868686;
}
#right-sidebar button.unit {
	background-color: #3D548B;
  }

#qr > img {
	margin-top: 1em;
	border-radius: 1em;
}
#class_open {
	margin-top: 1rem;
}
.user_card:not(.act) {
	background-color: #000;
	color: #666;
}
.user_card:not(.act) .ava {
	opacity: .7;
}
#help_title {
	color: #FFF;
	box-shadow: 0 4px 10px 0 rgba(0,0,0,.6);
}
#buffer_counter {
	border-bottom-left-radius: 0;
	border-top-right-radius: 1rem;
	margin-top: -28px;
}
#advanced_sorting_panel {
	top: 0;
}
#buffer_counter:hover, #task_buffer {
	background-color: #064E3B;
}
#task_trash {
	background-color: #881337;
}

#adding_words {
	--gap: 12px;
	background-color: #383357;
}
#scrollToTop {
	color: var(--c-link) !important;
}
#scrollToTop:hover {
	background-color: rgba(200,200,200,.05);
}
@media (max-width: 1150px) {
	#scrollToTop {
		border: 1px solid var(--c-link);
		font-weight: normal;
		border-radius: 1em;
		background-color: var(--c-toppanel) !important;
		box-shadow: none;
		padding: 0;
		opacity: .3;
	}
	#scrollToTop:hover {
		opacity: 1;
	}
}

button.youtube, button.audio, button.essays {
	background-color: rgba(0,0,0,.2);
}
button.youtube:hover, button.audio:hover, button.essays:hover {
	background-color: #3D548B;
}
.essays:empty::before, .essays .es_editor {
	background-color: var(--c-delimiter);
	border: 0;
	color: var(--c-toppanel-txt);
}
.essays .es_editor[contenteditable="true"]:hover,
.essays .es_editor:focus {
	background-color: var(--c-delimiter);
}
.essays .toolbar {
	border: 0;
}
.es_editor [style^="background"] {
	color: #444;
}
.es_editor [style^="background"]::selection {
    background: #14b8a6; /* Цвет фона */
    color: #000; /* Цвет текста */
   }

.definition {
	background-color: var(--c-main-bg);
}
#view {
	border-color: #B87ED2;
}

.test .question {
	color: var(--c-txt);
}
.test .answers div {
	font-weight: 300;
}
.dragzone {
	border-color: #FFF5;
}
.dragword {
	border: 0;
}
.dragword.ready,
.dragword.draging,
.dragword.touching,
.sortitem.draging,
.sortitem.ready {
	background-color: var(--c-main-bg);
	box-shadow: 0 10px 15px -3px rgba(0,0,0,.3), 0 4px 6px -4px rgba(0,0,0,.3);
}
.sortitem {
	background-color: rgba(0,0,0,.5);
	color: #FFF;
}
.sortitem>span {
	color: inherit;
}
#fossa {
	background-color: #000;
	box-shadow: none;
}

.fill * {
	background-color: inherit; /* костыль для цвета выпадающего списка */
}
#lesson_body .fill input,
#lesson_body .fill select {
	border-bottom: 1px dotted var(--c-txt);
	color: var(--c-txt);
	margin: 1px;
	padding: 0;
	border-radius: 0;
	min-width: 3em;
	background: inherit;
	font-size: inherit;
	font-family: inherit;
}
#lesson_body .fill select {
	border: 1px dotted var(--c-txt);
	padding: 0 1.1em 0 .3em;
	border-radius: 2px;
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 17 17' fill='none' stroke='white' stroke-width='1' stroke-dasharray='1 2'%3E%3Cpath d='M3.8 7l4.6 4.6 4.6-4.6'/%3E%3C/svg%3E");
	background-position: right top;
	background-size: 17px 17px;
	background-repeat: no-repeat;
}
.i_enter, .i_reset, .i_answer {
	color: var(--c-txt);
	margin: 0;
}

#to_red    {background-color: #991B1B;} /* red-800 */
#to_orange {background-color: #9A3412;} /* orange-800 */
#to_green  {background-color: #166534;} /* green-800 */
#to_teal   {background-color: #115E59;} /* teal-800 */
#to_blue   {background-color: #075985;} /* sky-800 */
#to_indigo {background-color: #3730A3;} /* indigo-800 */
#to_purple {background-color: #6B21A8;} /* purple-800 */
#to_pink   {background-color: #9D174D;} /* pink-800 */

.drag[data-color="red"],    .fill[data-color="red"],    .sort[data-color="red"],    .sort[data-color="red"]    .sortitem>span {background-color: #7F1D1D;} /* red-900 */
.drag[data-color="orange"], .fill[data-color="orange"], .sort,                      .sort                      .sortitem>span {background-color: #7C2D12;} /* orange-900 */
.drag,                      .fill[data-color="green"],  .sort[data-color="green"],  .sort[data-color="green"]  .sortitem>span {background-color: #14532D;} /* green-900 */
.drag[data-color="teal"],   .fill[data-color="teal"],   .sort[data-color="teal"],   .sort[data-color="teal"]   .sortitem>span {background-color: #134E4A;} /* teal-900 */
.drag[data-color="blue"],   .fill,                      .sort[data-color="blue"],   .sort[data-color="blue"]   .sortitem>span {background-color: #0C4A6E;} /* sky-900 */
.drag[data-color="indigo"], .fill[data-color="indigo"], .sort[data-color="indigo"], .sort[data-color="indigo"] .sortitem>span {background-color: #312E81;} /* indigo-900 */
.drag[data-color="purple"], .fill[data-color="purple"], .sort[data-color="purple"], .sort[data-color="purple"] .sortitem>span {background-color: #581C87;} /* purple-900 */
.drag[data-color="pink"],   .fill[data-color="pink"],   .sort[data-color="pink"],   .sort[data-color="pink"]   .sortitem>span {background-color: #831843;} /* pink-900 */

.drag_during[data-color="red"]	  .dragzone {background-color: #991B1B;} /* red-800 */
.drag_during[data-color="orange"] .dragzone {background-color: #9A3412;} /* orange-800 */
.drag_during                      .dragzone {background-color: #166534;} /* green-800 */
.drag_during[data-color="teal"]   .dragzone {background-color: #115E59;} /* teal-800 */
.drag_during[data-color="blue"]   .dragzone {background-color: #075985;} /* sky-800 */
.drag_during[data-color="indigo"] .dragzone {background-color: #3730A3;} /* indigo-800 */
.drag_during[data-color="purple"] .dragzone {background-color: #6B21A8;} /* purple-800 */
.drag_during[data-color="pink"]   .dragzone {background-color: #9D174D;} /* pink-800 */

.test[data-color="red"]    {--c-question: #7F1D1D; --c-answer: #7F1D1D; --c-marker: #991B1B; --c-pinned: #DC2626;} /* red-900/900/800/600 */
.test[data-color="orange"] {--c-question: #7C2D12; --c-answer: #7C2D12; --c-marker: #9A3412; --c-pinned: #D97706;} /* orange-900/900/800/600 */
.test[data-color="green"]  {--c-question: #14532D; --c-answer: #14532D; --c-marker: #166534; --c-pinned: #16A34A;} /* green-900/900/800/600 */
.test[data-color="teal"]   {--c-question: #134E4A; --c-answer: #134E4A; --c-marker: #115E59; --c-pinned: #0D9488;} /* teal-900/900/800/600 */
.test[data-color="blue"]   {--c-question: #0C4A6E; --c-answer: #0C4A6E; --c-marker: #075985; --c-pinned: #0284C7;} /* sky-900/900/800/600 */
.test[data-color="indigo"] {--c-question: #312E81; --c-answer: #312E81; --c-marker: #3730A3; --c-pinned: #4F46E5;} /* indigo-900/900/800/600 */
.test                      {--c-question: #581C87; --c-answer: #581C87; --c-marker: #6B21A8; --c-pinned: #9333EA;} /* purple-900/900/800/600 */
.test[data-color="pink"]   {--c-question: #831843; --c-answer: #831843; --c-marker: #9D174D; --c-pinned: #DB2777;} /* pink-900/900/800/600 */

.yesno[data-color="red"]    {--c-bg: #991B1B; --c-slot: #7F1D1D;} /* red-800/900 */
.yesno[data-color="orange"] {--c-bg: #9A3412; --c-slot: #7C2D12;} /* orange-800/900 */
.yesno[data-color="green"]  {--c-bg: #166534; --c-slot: #14532D;} /* green-800/900 */
.yesno                      {--c-bg: #115E59; --c-slot: #134E4A;} /* teal-800/900 */
.yesno[data-color="blue"]   {--c-bg: #075985; --c-slot: #0C4A6E;} /* sky-800/900 */
.yesno[data-color="indigo"] {--c-bg: #3730A3; --c-slot: #312E81;} /* indigo-800/900 */
.yesno[data-color="purple"] {--c-bg: #6B21A8; --c-slot: #581C87;} /* purple-800/900 */
.yesno[data-color="purple"] {--c-bg: #581C87; --c-slot: #3b0764;} /* purple-900/950 */
.yesno[data-color="pink"]   {--c-bg: #9D174D; --c-slot: #831843;} /* pink-800/900 */

#footer {
	background-color: transparent;
}
#superfooter {
	background-color: var(--c-content-bg);
}